Bug 1419115 - [abrt] bmon: snprintf(): bmon killed by SIGSEGV
Summary: [abrt] bmon: snprintf(): bmon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bmon
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Graf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a6d620f560281dec9096ce10762...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 15:35 UTC by Marco Kundt
Modified: 2017-12-12 10:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:31:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (598.23 KB, text/plain)
2017-02-03 15:35 UTC, Marco Kundt
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-03 15:35 UTC, Marco Kundt
no flags Details
File: core_backtrace (74.28 KB, text/plain)
2017-02-03 15:35 UTC, Marco Kundt
no flags Details
File: dso_list (916 bytes, text/plain)
2017-02-03 15:35 UTC, Marco Kundt
no flags Details
File: environ (2.73 KB, text/plain)
2017-02-03 15:35 UTC, Marco Kundt
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-03 15:35 UTC, Marco Kundt
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-03 15:36 UTC, Marco Kundt
no flags Details
File: maps (4.79 KB, text/plain)
2017-02-03 15:36 UTC, Marco Kundt
no flags Details
File: mountinfo (3.66 KB, text/plain)
2017-02-03 15:36 UTC, Marco Kundt
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-03 15:36 UTC, Marco Kundt
no flags Details
File: open_fds (189 bytes, text/plain)
2017-02-03 15:36 UTC, Marco Kundt
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-03 15:36 UTC, Marco Kundt
no flags Details
File: var_log_messages (283 bytes, text/plain)
2017-02-03 15:36 UTC, Marco Kundt
no flags Details

Description Marco Kundt 2017-02-03 15:35:45 UTC
Description of problem:
I just ran bmon in tty. I noticed that it crashes if it's running for a long time.

Version-Release number of selected component:
bmon-3.7-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        bmon
crash_function: snprintf
executable:     /usr/bin/bmon
global_pid:     5599
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 snprintf at /usr/include/bits/stdio2.h:64
 #5 rtnl_tc_handle2str at route/classid.c:123
 #6 handle_tc_obj at in_netlink.c:484
 #7 handle_class at in_netlink.c:528
 #8 nl_cache_foreach_filter at cache.c:1304
 #9 find_classes at in_netlink.c:576
 #10 handle_qdisc at in_netlink.c:603
 #11 nl_cache_foreach_filter at cache.c:1304
 #12 find_qdiscs at in_netlink.c:549
 #13 handle_class at in_netlink.c:537

Potential duplicate: bug 1297544

Comment 1 Marco Kundt 2017-02-03 15:35:52 UTC
Created attachment 1247462 [details]
File: backtrace

Comment 2 Marco Kundt 2017-02-03 15:35:53 UTC
Created attachment 1247463 [details]
File: cgroup

Comment 3 Marco Kundt 2017-02-03 15:35:55 UTC
Created attachment 1247464 [details]
File: core_backtrace

Comment 4 Marco Kundt 2017-02-03 15:35:56 UTC
Created attachment 1247465 [details]
File: dso_list

Comment 5 Marco Kundt 2017-02-03 15:35:57 UTC
Created attachment 1247466 [details]
File: environ

Comment 6 Marco Kundt 2017-02-03 15:35:59 UTC
Created attachment 1247467 [details]
File: exploitable

Comment 7 Marco Kundt 2017-02-03 15:36:00 UTC
Created attachment 1247468 [details]
File: limits

Comment 8 Marco Kundt 2017-02-03 15:36:01 UTC
Created attachment 1247469 [details]
File: maps

Comment 9 Marco Kundt 2017-02-03 15:36:03 UTC
Created attachment 1247470 [details]
File: mountinfo

Comment 10 Marco Kundt 2017-02-03 15:36:04 UTC
Created attachment 1247471 [details]
File: namespaces

Comment 11 Marco Kundt 2017-02-03 15:36:05 UTC
Created attachment 1247472 [details]
File: open_fds

Comment 12 Marco Kundt 2017-02-03 15:36:06 UTC
Created attachment 1247473 [details]
File: proc_pid_status

Comment 13 Marco Kundt 2017-02-03 15:36:07 UTC
Created attachment 1247474 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:10:23 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:31:21 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.